import React from "react"

function BurgerMenu({ onClick }: { onClick: () => void }) {
  return (
    <button
      className="absolute top-4 left-4 flex h-10 w-10 items-center justify-center rounded-lg border-b-2 border-shield-gray bg-grayish shadow-lg duration-100 active:border-t-2 active:border-b-0"
      onClick={() => setTimeout(onClick, 200)}
    >
      <img
        className="pixelart h-8 w-8"
        src="/assets/burger-menu.png"
        alt="Burger Menu"
      />
    </button>
  )
}

export default BurgerMenu
